{-# LANGUAGE OverloadedStrings #-}

import Data.GI.CodeGen.CabalHooks (setupBinding, TaggedOverride(..))

import qualified GI.GObject.Config as GObject
import qualified GI.Gst.Config as Gst
import qualified GI.GstBase.Config as GstBase


main :: IO ()
main = setupBinding name version pkgName pkgVersion verbose overridesFile inheritedOverrides outputDir
  where name = "GstApp"
        version = "1.0"
        pkgName = "gi-gstapp"
        pkgVersion = "1.0.28"
        overridesFile = Nothing
        verbose = False
        outputDir = Nothing
        inheritedOverrides = [TaggedOverride "inherited:GObject" GObject.overrides, TaggedOverride "inherited:Gst" Gst.overrides, TaggedOverride "inherited:GstBase" GstBase.overrides]
